import java.util.ArrayList;

/**
 * This class will handle some methods related to add or draw or print shapes
 */
public class Paint {
    private ArrayList<Shape> shapes = new ArrayList<>();

    /**
     * @param shape shape which you want to add to list
     */
    public void addShape(Shape shape) {
        this.shapes.add(shape);
    }

    /**
     * simulation for drawing all shapes in the list
     */
    public void drawAll() {
        for (Shape shape : this.shapes) {
            shape.draw();
        }
    }

    /**
     * Print mentioned information in session instructions about all shapes
     */
    public void printAll() {
        for (Shape shape : this.shapes) {
            System.out.println(shape);
        }
    }
}