/**
 * An Abstract Class For Shape
 * This class contains some abstract methods that the child classes will inherit
 */
public abstract class Shape {
    /**
     * @return perimeter of the shape
     */
    public abstract double calculatePerimeter();

    /**
     * @return Area of the shape
     */
    public abstract double calculateArea();

    /**
     * Abstract Method for printing properties of a shape
     */
    public abstract void draw();
}